Subject: Re: bug#29707: "guix system search" doesn't show how to start/stop service

From: Clément Lassieur <[email-masked]>
Date: Tue, 01 May 2018 01:38:26 +0200

Hi Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Commit 6ac8b7359a1ac80e558f41dd37004ffa727dd3c6 does roughly what you
> suggested:
>
> --8<---------------cut here---------------start------------->8---
> $ ./pre-inst-env guix system search slim
> name: slim
> location: gnu/services/xorg.scm:510:2
> extends: shepherd-root pam profile
> shepherdnames: xorg-server
> relevance: 3
> --8<---------------cut here---------------end--------------->8---
>
> Note that there are limitations: here ‘shepherdnames’ is just the list
> of names of the _default_ Shepherd services for that service type.  But
> due to the way service extensions work, actual Shepherd service names
> can very well depend on the configuration of the service.  For example,
> ‘console-font-service-type’ generates a Shepherd service whose name
> depends on its configuration: ‘console-font-tty1’, etc.

Great!  Thank you!  But I don't understand why the first provision is
the only one that is displayed.  If it's not on purpose, here is a patch
fixing it.

> Besides, ‘guix system search xmpp’ currently returns nothing, but it
> will return something as soon as you’ve added a ‘description’ to
> ‘prosody-service-type’.  If you add a ‘default-value’, you’ll get
> ‘shepherdnames’ as well.  Hint hint.  ;-)

Haha, okay I did it :-)

Clément